﻿using System;
using System.Collections.ObjectModel;
using XamDataGrid_Drag_Drop.Model;

namespace XamDataGrid_Drag_Drop.ViewModel
{
    class MainViewModel
    {
        public ObservableCollection<TaskItem> Tasks { get; set; }

        public MainViewModel()
        {
            #region タスク作成
            ObservableCollection<TaskItem> tasks = new ObservableCollection<TaskItem>();

            for (int i = 0; i < 20; i++)
            {
                TaskItem task = new TaskItem();
                task.ID = i;
                task.Title = "Title" + i.ToString();
                task.Due = DateTime.Today.AddDays(i);
                task.IsCompleted = false;
                tasks.Add(task);
            }

            this.Tasks = tasks;
            #endregion
        }
    }
}
